Subject: bug#15866: Gnutls elisp code doesn't properly check for file existence

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Nov 2013 15:02:40 -0500

> So I think we should do ii], but not i].

Please go ahead, yes.

> Btw, I think many Emacs packages don't make sense with remote files,
> so they should also ignore file handlers.  IOW, this is not specific
> to gnutls.el.

Not sure how widespread this problem is.  At least the gnutls case is
rather special since most other C calls that manipulate files are
wrapped with a magic file handler.

But please do submit the other cases you bump into for consideration.

        Stefan